org.apache.ignite.internal.processors.datastructures

## Class GridSetQueryPredicate<K,V>

- java.lang.Object
- - org.apache.ignite.internal.processors.datastructures.GridSetQueryPredicate<K,V>

All Implemented Interfaces:
  Externalizable, Serializable, IgniteBiPredicate<K,V>

    public class GridSetQueryPredicate<K,V>
    extends Object
    implements IgniteBiPredicate<K,V>, Externalizable

Predicate for query over `IgniteSet` items.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridSetQueryPredicate()` Required by `Externalizable`.
`GridSetQueryPredicate(IgniteUuid setId, boolean collocated)`

### Method Summary

Methods
`boolean` `apply(K k, V v)` Predicate body.
`boolean` `collocated()`
`void` `init(GridCacheContext ctx)`
`void` `readExternal(ObjectInput in)`
`IgniteUuid` `setId()`
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridSetQueryPredicate

    public GridSetQueryPredicate()

Required by `Externalizable`.

#### GridSetQueryPredicate

    public GridSetQueryPredicate(IgniteUuid setId,
                         boolean collocated)

Parameters:
  `setId` - Set ID.
  `collocated` - Collocation flag.

### Method Detail

#### init

    public void init(GridCacheContext ctx)

Parameters:
  `ctx` - Cache context.

#### collocated

    public boolean collocated()

Returns:
  Collocation flag.

#### setId

    public IgniteUuid setId()

Returns:
  Set ID.

#### apply

    public boolean apply(K k,
                V v)

Predicate body.

Specified by:
  `apply` in interface `IgniteBiPredicate<K,V>`
Parameters:
  `k` - First parameter.
  `v` - Second parameter.
Returns:
  Return value.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0.final
Release Date | : December 29 2015